using ActionGame.GameResources.Models;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;


namespace ActionGame.GameArtifacts.Models.Characters
{
    public interface IMoveableObject 
    {
        WorldPosition WorldPosition { get; set; }
        MovementPhysics MovementPhysics { get; set; }

        Rectangle GetCurrentCollisionArea();
        Rectangle GetCollisionAreaAtPosition(Int32 x, Int32 y);
        Rectangle GetDrawArea();

        void Update(GameTime gameTime);
        void Draw(SpriteBatch spriteBatch);
    }
}
